<ion-header>
  <ion-toolbar>
    <div class="logo">
      <img src="img/ledger.svg" alt="imglogo">
    </div>
  </ion-toolbar>
</ion-header>

<ion-content>

  <ion-grid>

    <ion-row>
      <ion-col size="12">
        <p>Código Promocional</p>
        <ion-item>
          <ion-input placeholder="Introduce tu código promocional" type="text" [(ngModel)]="dades.promo">
          </ion-input>
          <ion-button style="height: 50px; align-items: end;" expand="block" routerLink="/home" color="light">
            Aplicar
          </ion-button>
          
        </ion-item>
      </ion-col>
    </ion-row>

    <ion-row>
      <ion-col>

        <p>Información del cliente</p>

        <ion-item>

          <ion-input placeholder="Introduce el correo electronico" type="email" [(ngModel)]="dades.email">
          </ion-input>
          <ion-text class="emailError" *ngIf='emailError' color="danger">
            Email invalido
        </ion-text>
          <br>
        </ion-item>

        <ion-item>
          <ion-label>I consent to receiving emails from Ledger about prodcuts, updates and industry news.</ion-label>
          <ion-checkbox color="primary" checked slot="start"></ion-checkbox>
        </ion-item>
      </ion-col>

    </ion-row>

    <ion-row>
      
      <ion-col>
        
        <p>Estoy comprando como...</p>
        
      </ion-col>

    </ion-row>

    <ion-row>
      <ion-col size="7">
        <ion-input placeholder="Nombre" type="text" [(ngModel)]="dades.nombre">
        </ion-input>
      </ion-col>
      <ion-col size="5">
        <ion-input placeholder="Apellidos" type="text" [(ngModel)]="dades.apellidos">
        </ion-input>
      </ion-col>
      <ion-col>
        <ion-input placeholder="Empresa (Opcional)" type="text" [(ngModel)]="dades.empresa">
        </ion-input>
      </ion-col>
      <ion-col size="12">
        <ion-input placeholder="Dirección linea 1" type="text" [(ngModel)]="dades.dir1">
        </ion-input>
      </ion-col>
      <ion-col size="12">
        <ion-input placeholder="Dirección linea 2 (Opcional)" type="text" [(ngModel)]="dades.dir2">
        </ion-input>
      </ion-col>
      <ion-col size="12">
        <ion-item class="pais">
          <ion-label>Pais</ion-label>
          <ion-select interface="action-sheet" [(ngModel)]="dades.pais">
            <ion-select-option>Spain</ion-select-option>
            <ion-select-option>France</ion-select-option>
            <ion-select-option>Italy</ion-select-option>
            <ion-select-option>UK</ion-select-option>
          </ion-select>
        </ion-item>

      </ion-col>

      <ion-col size="6">
        <ion-input placeholder="Ciudad" type="text" [(ngModel)]="dades.ciudad">
        </ion-input>
      </ion-col>

      <ion-col size="6">
        <ion-item class="pais">
          <ion-label>Provincia</ion-label>
          <ion-select interface="action-sheet" [(ngModel)]="dades.provincia">
            <ion-select-option>Barcelona</ion-select-option>
            <ion-select-option>Alt-Empordà</ion-select-option>
            <ion-select-option>Baix-Empordà</ion-select-option>
            <ion-select-option>Tarragona</ion-select-option>
          </ion-select>
        </ion-item>
      </ion-col>

      <ion-col size="6">
        <ion-input placeholder="Código Postal" type="number" [(ngModel)]="dades.cp">
        </ion-input>
      </ion-col>

      <ion-col size="6">
        <ion-input placeholder="Teléfono" type="number" [(ngModel)]="dades.tel">
        </ion-input>
      </ion-col>

    </ion-row>

    <ion-row>
      <ion-col size="12">

        <ion-button expand="full" color="secondary" (click)="pasoDatos()">Continuar</ion-button>

      </ion-col>
    </ion-row>


  </ion-grid>


</ion-content>